﻿CREATE PROCEDURE [dbo].[ANTI_PATTERN_Example]
AS
SET NOCOUNT ON;
BEGIN TRY

	SELECT [name]
	FROM SOURCE_TABLE_connection STc
	WHERE STc.[type] = '$(Type)'
	ORDER BY [name] ASC
		
END TRY
BEGIN CATCH
   DECLARE @ErrorMessage NVARCHAR(4000),
           @ErrorSeverity INT, 
           @ErrorState INT; 
 
    SET @ErrorMessage = ERROR_MESSAGE(); 
    SET @ErrorSeverity = ERROR_SEVERITY(); 
    SET @ErrorState = ERROR_STATE(); 
    
    RAISERROR(@ErrorMessage,@ErrorSeverity,@ErrorState); 
 
    RETURN ERROR_NUMBER();
    
END CATCH
